AuReadElement(3)

Name
AuReadElement - read data from an ExportClient element in a flow

Synopsis
#include <audio/audiolib.h>

void AuReadElement(server, flow, element, num_bytes, data, status)
    AuServer *server;
    AuFlowID flow;
    int element;
    AuUint32 num_bytes;
    AuPointer data;
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

flow
    Specifies the ID of the flow.

element
    Specifies the index of the ExportClient element to read the data from.

num_bytes
    Specifies the number of bytes of audio data to read.

data
    Specifies the buffer to read the audio data into.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuReadElement transfers audio data from the server to the client application, reading num_bytes from the ExportClient specified by element in audio flow flow into data.

Note
If the flow is "trivial" (consisting only of an ExportClient and an ImportBucket), the num_samples fields in the ExportClient and ImportBucket are ignored.

Errors
AuBadFlow, AuBadElement.

See Also
AuWriteElement.

audiolib - Network Audio System C Language Interface